package com.ruoyi.adsdesk.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.adsdesk.common.AdsBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * Ads登录用户
 * @author Xingbz
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "ads_user")
public class AdsUser extends AdsBaseEntity<Long> {
    /**
     * 客户id
     */
    @TableField(value = "customer_id")
    private Long customerId;

    /**
     * email
     */
    @TableField(value = "email")
    private String email;

    /**
     * 密码
     */
    @TableField(value = "`password`")
    private String password;

    /**
     * 姓名
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 角色（OPERATE 优化师，MANAGER 优化经理，DESIGNER 设计师，ADMIN 默认主账号）
     */
    @TableField(value = "`role`")
    private String role;

    /**
     * 组id
     */
    @TableField(value = "group_id")
    private Long groupId;

    /**
     * 状态（DISABLE 暂停，ENABLE 启用）
     */
    @TableField(value = "`status`")
    private String status;

    /**
     * 查看tkio数据（1是，0否）
     */
    @TableField(value = "show_tkio")
    private Boolean showTkio;

    /**
     * 内部管理员
     */
    @TableField(value = "is_super")
    private Boolean isSuper;

    /**
     * 是否设计经理（1是 0否）
     */
    @TableField(value = "is_design_manager")
    private Boolean isDesignManager;

    /**
     * 查看返点数据（1是，0否）
     */
    @TableField(value = "show_rebates")
    private Boolean showRebates;

    public static final String COL_ID = "id";

    public static final String COL_CUSTOMER_ID = "customer_id";

    public static final String COL_EMAIL = "email";

    public static final String COL_PASSWORD = "password";

    public static final String COL_NAME = "name";

    public static final String COL_ROLE = "role";

    public static final String COL_GROUP_ID = "group_id";

    public static final String COL_STATUS = "status";

    public static final String COL_CREATE_BY = "create_by";

    public static final String COL_GMT_CREATE = "gmt_create";

    public static final String COL_UPDATE_BY = "update_by";

    public static final String COL_GMT_MODIFIED = "gmt_modified";

    public static final String COL_IS_DELETE = "is_delete";

    public static final String COL_SHOW_TKIO = "show_tkio";

    public static final String COL_IS_SUPER = "is_super";

    public static final String COL_IS_DESIGN_MANAGER = "is_design_manager";

    public static final String COL_SHOW_REBATES = "show_rebates";
}